Failure of test bookmarks/test_423515_forceCopyShortcuts.js

RESOLVED FIXED

Status

()

RESOLVED FIXED
9 years ago
6 years ago

People

(Reporter: adw, Unassigned)

Tracking

({intermittent-failure})

Trunk
x86
All
intermittent-failure
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1247762696.1247770491.23328.gz
Linux mozilla-central unit test on 2009/07/16 09:44:56

TEST-INFO | (xpcshell/head.js) | test 1 pending
*** PLACES TESTS: queryId: 8
TEST-UNEXPECTED-FAIL | /builds/moz2_slave/mozilla-central-linux-unittest/build/objdir/_tests/xpcshell/test_places/bookmarks/test_423515_forceCopyShortcuts.js | 6 == 9 - See following stack:
JS frame :: /builds/moz2_slave/mozilla-central-linux-unittest/build/testing/xpcshell/head.js :: do_throw :: line 187
JS frame :: /builds/moz2_slave/mozilla-central-linux-unittest/build/testing/xpcshell/head.js :: do_check_eq :: line 217
JS frame :: /builds/moz2_slave/mozilla-central-linux-unittest/build/objdir/_tests/xpcshell/test_places/bookmarks/test_423515_forceCopyShortcuts.js :: run_test :: line 86
JS frame :: /builds/moz2_slave/mozilla-central-linux-unittest/build/testing/xpcshell/head.js :: _execute_test :: line 126
JS frame :: -e :: <TOP_LEVEL> :: line 1

There's another recent failure in bug 504466.  Are they related?  Both failures are Linux only and are failing when testing assumptions about the child of a query node.
(Reporter)

Updated

9 years ago
Whiteboard: [orange]
(Reporter)

Updated

9 years ago
Blocks: 438871
can be due to the fact actually (after bug 483980) all our unit tests run with DBFlush service enabled, so temp/disk tables status could cause failures previously undetected.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1251759388.1251768561.1435.gz
OS X 10.5.2 mozilla-central unit test on 2009/08/31 15:56:28

TEST-UNEXPECTED-FAIL | test_423515_forceCopyShortcuts.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | test_423515_forceCopyShortcuts.js | 5 == 9 - See following stack:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1252387896.1252394358.15508.gz#err1
Linux mozilla-1.9.2 unit test on 2009/09/07 22:31:36  

TEST-UNEXPECTED-FAIL | /builds/moz2_slave/mozilla-1.9.2-linux-unittest/build/objdir/_tests/xpcshell/test_places/bookmarks/test_423515_forceCopyShortcuts.js | test failed (with xpcshell return code: 0), see following log:
  >>>>>>>
  ### XPCOM_MEM_LEAK_LOG defined -- logging leaks to /tmp/runxpcshelltests_leaks.log
TEST-INFO | (xpcshell/head.js) | test 1 pending
*** PLACES TESTS: queryId: 8
TEST-UNEXPECTED-FAIL | /builds/moz2_slave/mozilla-1.9.2-linux-unittest/build/objdir/_tests/xpcshell/test_places/bookmarks/test_423515_forceCopyShortcuts.js | 6 == 9 - See following stack:
JS frame :: /builds/moz2_slave/mozilla-1.9.2-linux-unittest/build/testing/xpcshell/head.js :: do_throw :: line 197
JS frame :: /builds/moz2_slave/mozilla-1.9.2-linux-unittest/build/testing/xpcshell/head.js :: do_check_eq :: line 227
JS frame :: /builds/moz2_slave/mozilla-1.9.2-linux-unittest/build/objdir/_tests/xpcshell/test_places/bookmarks/test_423515_forceCopyShortcuts.js :: run_test :: line 86
JS frame :: /builds/moz2_slave/mozilla-1.9.2-linux-unittest/build/testing/xpcshell/head.js :: _execute_test :: line 125
JS frame :: -e :: <TOP_LEVEL> :: line 1
Whiteboard: [orange] → [orange][workarounded by bug521225 on trunk]
un-workarounded by bug 536435, hopefully fixed
Whiteboard: [orange][workarounded by bug521225 on trunk] → [orange]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1266865301.1266866043.19990.gz
Linux mozilla-1.9.2 test xpcshell on 2010/02/22 11:01:41
s: moz2-linux-slave06
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1270507612.1270508024.16196.gz
OS X 10.5.2 mozilla-1.9.2 test xpcshell on 2010/04/05 15:46:52

TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-1.9.2-macosx-unittest-xpcshell/build/xpcshell/tests/test_places/bookmarks/test_423515_forceCopyShortcuts.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-1.9.2-macosx-unittest-xpcshell/build/xpcshell/tests/test_places/bookmarks/test_423515_forceCopyShortcuts.js | 5 == 9 - See following stack:
Whiteboard: [orange] → [orange][fixed on central]
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
resolving since central does not see this from August.
Status: NEW → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → FIXED
Whiteboard: [orange][fixed on central] → [orange]
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
(Assignee)

Updated

6 years ago
Keywords: intermittent-failure
(Assignee)

Updated

6 years ago
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.